package at.ac.uibk.gitsearch.service.mapper;


import at.ac.uibk.gitsearch.domain.*;
import at.ac.uibk.gitsearch.service.dto.UserWatchListDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity {@link UserWatchList} and its DTO {@link UserWatchListDTO}.
 */
@Mapper(componentModel = "spring", uses = {UserMapper.class})
public interface UserWatchListMapper extends EntityMapper<UserWatchListDTO, UserWatchList> {

    @Mapping(source = "userId.id", target = "userIdId")
    @Mapping(source = "userId.login", target = "userIdLogin")
    UserWatchListDTO toDto(UserWatchList userWatchList);

    @Mapping(source = "userIdId", target = "userId")
    UserWatchList toEntity(UserWatchListDTO userWatchListDTO);

    default UserWatchList fromId(Long id) {
        if (id == null) {
            return null;
        }
        UserWatchList userWatchList = new UserWatchList();
        userWatchList.setId(id);
        return userWatchList;
    }
}
